Update settings
curl --request PUT \
--url https://api.gleap.io/v3/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'project: <project>' \
--data '
{
"changes": [
{
"key": "<string>",
"value": "<unknown>",
"page": "<string>",
"id": "<string>",
"values": {},
"site": "<string>"
}
],
"confirmed": true
}
'import requests
url = "https://api.gleap.io/v3/settings"
payload = {
"changes": [
{
"key": "<string>",
"value": "<unknown>",
"page": "<string>",
"id": "<string>",
"values": {},
"site": "<string>"
}
],
"confirmed": True
}
headers = {
"project": "<project>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
project: '<project>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
changes: [
{
key: '<string>',
value: '<unknown>',
page: '<string>',
id: '<string>',
values: {},
site: '<string>'
}
],
confirmed: true
})
};
fetch('https://api.gleap.io/v3/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gleap.io/v3/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'changes' => [
[
'key' => '<string>',
'value' => '<unknown>',
'page' => '<string>',
'id' => '<string>',
'values' => [
],
'site' => '<string>'
]
],
'confirmed' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"project: <project>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gleap.io/v3/settings"
payload := strings.NewReader("{\n \"changes\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<unknown>\",\n \"page\": \"<string>\",\n \"id\": \"<string>\",\n \"values\": {},\n \"site\": \"<string>\"\n }\n ],\n \"confirmed\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("project", "<project>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gleap.io/v3/settings")
.header("project", "<project>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"changes\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<unknown>\",\n \"page\": \"<string>\",\n \"id\": \"<string>\",\n \"values\": {},\n \"site\": \"<string>\"\n }\n ],\n \"confirmed\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gleap.io/v3/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["project"] = '<project>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"changes\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<unknown>\",\n \"page\": \"<string>\",\n \"id\": \"<string>\",\n \"values\": {},\n \"site\": \"<string>\"\n }\n ],\n \"confirmed\": true\n}"
response = http.request(request)
puts response.read_body{
"changed": [
{
"line": "<string>",
"page": "<string>",
"id": "<string>",
"after": "<unknown>",
"before": "<unknown>",
"key": "<string>"
}
],
"refused": [
{
"reason": "<string>",
"change": "<string>"
}
],
"needsConfirmation": [
{
"why": "<string>",
"change": "<string>"
}
]
}Settings
Update settings
Change settings with your role’s rights. Returns what changed (old → new) and what was refused
and why. Risky changes run only with confirmed: true; without it nothing runs and
needsConfirmation says what to confirm.
PUT
/
settings
Update settings
curl --request PUT \
--url https://api.gleap.io/v3/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'project: <project>' \
--data '
{
"changes": [
{
"key": "<string>",
"value": "<unknown>",
"page": "<string>",
"id": "<string>",
"values": {},
"site": "<string>"
}
],
"confirmed": true
}
'import requests
url = "https://api.gleap.io/v3/settings"
payload = {
"changes": [
{
"key": "<string>",
"value": "<unknown>",
"page": "<string>",
"id": "<string>",
"values": {},
"site": "<string>"
}
],
"confirmed": True
}
headers = {
"project": "<project>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
project: '<project>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
changes: [
{
key: '<string>',
value: '<unknown>',
page: '<string>',
id: '<string>',
values: {},
site: '<string>'
}
],
confirmed: true
})
};
fetch('https://api.gleap.io/v3/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gleap.io/v3/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'changes' => [
[
'key' => '<string>',
'value' => '<unknown>',
'page' => '<string>',
'id' => '<string>',
'values' => [
],
'site' => '<string>'
]
],
'confirmed' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"project: <project>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gleap.io/v3/settings"
payload := strings.NewReader("{\n \"changes\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<unknown>\",\n \"page\": \"<string>\",\n \"id\": \"<string>\",\n \"values\": {},\n \"site\": \"<string>\"\n }\n ],\n \"confirmed\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("project", "<project>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gleap.io/v3/settings")
.header("project", "<project>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"changes\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<unknown>\",\n \"page\": \"<string>\",\n \"id\": \"<string>\",\n \"values\": {},\n \"site\": \"<string>\"\n }\n ],\n \"confirmed\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gleap.io/v3/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["project"] = '<project>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"changes\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<unknown>\",\n \"page\": \"<string>\",\n \"id\": \"<string>\",\n \"values\": {},\n \"site\": \"<string>\"\n }\n ],\n \"confirmed\": true\n}"
response = http.request(request)
puts response.read_body{
"changed": [
{
"line": "<string>",
"page": "<string>",
"id": "<string>",
"after": "<unknown>",
"before": "<unknown>",
"key": "<string>"
}
],
"refused": [
{
"reason": "<string>",
"change": "<string>"
}
],
"needsConfirmation": [
{
"why": "<string>",
"change": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json